- Qt 5.15
- Qt Widgets
- C++ Classes
- QTileRules
- Qt 5.15.19 Reference Documentation

# QTileRules Struct

The QTileRules class provides the rules used to draw a pixmap or image split into nine segments. More...

Header: | #include <QTileRules>
qmake: | QT += widgets
Since: | Qt 4.6

This struct was introduced in Qt 4.6.

- List of all members, including inherited members

## Public Functions

| QTileRules(Qt::TileRule rule = Qt::StretchTile)
| QTileRules(Qt::TileRule horizontalRule, Qt::TileRule verticalRule)

## Detailed Description

Spliiting is similar to CSS3 border-images.

See also Qt::TileRule and QMargins.

## Member Function Documentation

### QTileRules::QTileRules(Qt::TileRule rule = Qt::StretchTile)

Constructs a QTileRules with the given rule used for both the horizontal rule and the vertical rule.

### QTileRules::QTileRules(Qt::TileRule horizontalRule, Qt::TileRule verticalRule)

Constructs a QTileRules with the given horizontalRule and verticalRule.